Karim Belabas on Thu, 21 Apr 2005 09:38:34 +0200

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Re: Make errors on cygwin

* Steve Baldwin [2005-04-20 22:04]:
> I'm attempting to build under cygwin on WinXP.  Here's the error I'm seeing
> I'm sure it is something stupid I'm doing, but would be very grateful for
> some clue as to what.

The stable branch doesn't work well on Cygwin, you should use 2.2.9 or
2.2.10 (forthcoming, later today). The configuration code has been
rewritten for the unstable branch and is more robust now.

It's been a while ago, and that new code is quite stable. Generally
2.2.*-unstable is mature now, and should be preferred to 2.1.*-stable
whenever possible. (We're nearing 2.3-stable.)

Hope this helps,


P.S: One major problem I wasn't able to solve on Cygwin: the GMP 
muliprecision kernel doesn't work at all (immediate SEGV). This is bad
since it is much faster than the default kernel, but not that bad since it
doesn't break anything that used to work in 2.1.* (no GMP there !)

Karim Belabas                     Tel: (+33) (0)1 69 15 57 48
Dep. de Mathematiques, Bat. 425   Fax: (+33) (0)1 69 15 60 19
Universite Paris-Sud              http://www.math.u-psud.fr/~belabas/
F-91405 Orsay (France)            http://pari.math.u-bordeaux.fr/  [PARI/GP]